libzmf::ZMFCollector Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libzmf::ZMFCollector Class Reference

`#include <ZMFCollector.h>`

## Public Member Functions
| ZMFCollector (librevenge::RVNGDrawingInterface *painter)
| ~ZMFCollector ()
void | startDocument ()
void | endDocument ()
void | startPage (const ZMFPageSettings &pageSettings)
void | endPage ()
void | startLayer ()
void | endLayer ()
void | startGroup ()
void | endGroup ()
void | setStyle (const Style &style)
void | collectPath (const std::vector< Curve > &curves)
void | collectPath (const Curve &curve)
void | collectEllipse (const Point &c, double rx, double ry, double rotation)
void | collectArc (const Point &c, double rx, double ry, double beginAngle, double endAngle, bool closed, double rotation)
void | collectPolygon (const Point &c, double rx, double ry, uint32_t peaksCount, const Curve &peak, double rotation, bool mirrorHorizontal, bool mirrorVertical)
void | collectTextObject (const Text &text, const Point &topLeft, double width, double height, VerticalAlignment align, double rotation)
void | collectTable (const Table &table)
void | collectImage (const librevenge::RVNGBinaryData &image, const Point &topLeft, double width, double height, double rotation, bool mirrorHorizontal, bool mirrorVertical)

## Private Member Functions
| ZMFCollector (const ZMFCollector &other)=delete
ZMFCollector & | operator= (const ZMFCollector &other)=delete
double | pageX (double canvasX)
double | pageY (double canvasY)
void | writeStyle (librevenge::RVNGPropertyList &propList, const Style &style, bool noFill=false)
void | writePen (librevenge::RVNGPropertyList &propList, const Pen &pen)
void | writeFill (librevenge::RVNGPropertyList &propList, const Fill &fill)
void | writeShadow (librevenge::RVNGPropertyList &propList, const Shadow &shadow)
void | collectText (const Text &text)
void | flushText (std::string &text)

## Private Attributes
librevenge::RVNGDrawingInterface * | m_painter
ZMFPageSettings | m_pageSettings
bool | m_isDocumentStarted
bool | m_isPageStarted
bool | m_isLayerStarted
Style | m_style

## Constructor & Destructor Documentation

## ◆ ZMFCollector() [1/2]

libzmf::ZMFCollector::ZMFCollector | ( | const ZMFCollector & | other | ) |
| privatedelete

Referenced by operator=(), and ZMFCollector().

## ◆ ZMFCollector() [2/2]

libzmf::ZMFCollector::ZMFCollector | ( | librevenge::RVNGDrawingInterface * | painter | ) |

## ◆ ~ZMFCollector()

libzmf::ZMFCollector::~ZMFCollector | ( |  | ) |

## Member Function Documentation

## ◆ collectArc()

void libzmf::ZMFCollector::collectArc | ( | const Point & | c,
|  | double | rx,
|  | double | ry,
|  | double | beginAngle,
|  | double | endAngle,
|  | bool | closed,
|  | double | rotation )

## ◆ collectEllipse()

void libzmf::ZMFCollector::collectEllipse | ( | const Point & | c,
|  | double | rx,
|  | double | ry,
|  | double | rotation )

## ◆ collectImage()

void libzmf::ZMFCollector::collectImage | ( | const librevenge::RVNGBinaryData & | image,
|  | const Point & | topLeft,
|  | double | width,
|  | double | height,
|  | double | rotation,
|  | bool | mirrorHorizontal,
|  | bool | mirrorVertical )

Referenced by libzmf::BMIParser::parse().

## ◆ collectPath() [1/2]

void libzmf::ZMFCollector::collectPath | ( | const Curve & | curve | ) |

## ◆ collectPath() [2/2]

void libzmf::ZMFCollector::collectPath | ( | const std::vector< Curve > & | curves | ) |

Referenced by collectPath(), and collectPolygon().

## ◆ collectPolygon()

void libzmf::ZMFCollector::collectPolygon | ( | const Point & | c,
|  | double | rx,
|  | double | ry,
|  | uint32_t | peaksCount,
|  | const Curve & | peak,
|  | double | rotation,
|  | bool | mirrorHorizontal,
|  | bool | mirrorVertical )

## ◆ collectTable()

void libzmf::ZMFCollector::collectTable | ( | const Table & | table | ) |

## ◆ collectText()

void libzmf::ZMFCollector::collectText | ( | const Text & | text | ) |
| private

Referenced by collectTable(), and collectTextObject().

## ◆ collectTextObject()

void libzmf::ZMFCollector::collectTextObject | ( | const Text & | text,
|  | const Point & | topLeft,
|  | double | width,
|  | double | height,
|  | VerticalAlignment | align,
|  | double | rotation )

## ◆ endDocument()

void libzmf::ZMFCollector::endDocument | ( |  | ) |

Referenced by libzmf::BMIParser::parse(), and ~ZMFCollector().

## ◆ endGroup()

void libzmf::ZMFCollector::endGroup | ( |  | ) |

## ◆ endLayer()

void libzmf::ZMFCollector::endLayer | ( |  | ) |

Referenced by libzmf::BMIParser::parse(), and startPage().

## ◆ endPage()

void libzmf::ZMFCollector::endPage | ( |  | ) |

Referenced by endDocument(), and libzmf::BMIParser::parse().

## ◆ flushText()

void libzmf::ZMFCollector::flushText | ( | std::string & | text | ) |
| private

Referenced by collectText().

## ◆ operator=()

ZMFCollector & libzmf::ZMFCollector::operator= | ( | const ZMFCollector & | other | ) |
| privatedelete

## ◆ pageX()

double libzmf::ZMFCollector::pageX | ( | double | canvasX | ) |
| private

Referenced by collectArc(), collectEllipse(), collectImage(), collectTable(), and collectTextObject().

## ◆ pageY()

double libzmf::ZMFCollector::pageY | ( | double | canvasY | ) |
| private

Referenced by collectArc(), collectEllipse(), collectImage(), collectTable(), and collectTextObject().

## ◆ setStyle()

void libzmf::ZMFCollector::setStyle | ( | const Style & | style | ) |

## ◆ startDocument()

void libzmf::ZMFCollector::startDocument | ( |  | ) |

Referenced by libzmf::BMIParser::parse().

## ◆ startGroup()

void libzmf::ZMFCollector::startGroup | ( |  | ) |

## ◆ startLayer()

void libzmf::ZMFCollector::startLayer | ( |  | ) |

Referenced by libzmf::BMIParser::parse().

## ◆ startPage()

void libzmf::ZMFCollector::startPage | ( | const ZMFPageSettings & | pageSettings | ) |

Referenced by libzmf::BMIParser::parse().

## ◆ writeFill()

void libzmf::ZMFCollector::writeFill | ( | librevenge::RVNGPropertyList & | propList,
|  | const Fill & | fill )
| private

Referenced by writeStyle().

## ◆ writePen()

void libzmf::ZMFCollector::writePen | ( | librevenge::RVNGPropertyList & | propList,
|  | const Pen & | pen )
| private

Referenced by writeStyle().

## ◆ writeShadow()

void libzmf::ZMFCollector::writeShadow | ( | librevenge::RVNGPropertyList & | propList,
|  | const Shadow & | shadow )
| private

Referenced by writeStyle().

## ◆ writeStyle()

void libzmf::ZMFCollector::writeStyle | ( | librevenge::RVNGPropertyList & | propList,
|  | const Style & | style,
|  | bool | noFill = false )
| private

Referenced by collectArc(), collectEllipse(), collectImage(), and collectPath().

## Member Data Documentation

## ◆ m_isDocumentStarted

bool libzmf::ZMFCollector::m_isDocumentStarted
| private

Referenced by endDocument(), startDocument(), ZMFCollector(), and ~ZMFCollector().

## ◆ m_isLayerStarted

bool libzmf::ZMFCollector::m_isLayerStarted
| private

Referenced by endLayer(), startLayer(), startPage(), and ZMFCollector().

## ◆ m_isPageStarted

bool libzmf::ZMFCollector::m_isPageStarted
| private

Referenced by endDocument(), endPage(), startPage(), and ZMFCollector().

## ◆ m_pageSettings

ZMFPageSettings libzmf::ZMFCollector::m_pageSettings
| private

Referenced by collectPath(), pageX(), pageY(), startPage(), and ZMFCollector().

## ◆ m_painter

librevenge::RVNGDrawingInterface* libzmf::ZMFCollector::m_painter
| private

Referenced by collectArc(), collectEllipse(), collectImage(), collectPath(), collectTable(), collectText(), collectTextObject(), endDocument(), endGroup(), endLayer(), endPage(), flushText(), startDocument(), startGroup(), startLayer(), startPage(), and ZMFCollector().

## ◆ m_style

Style libzmf::ZMFCollector::m_style
| private

Referenced by collectArc(), collectEllipse(), collectImage(), collectPath(), setStyle(), writeFill(), writePen(), and ZMFCollector().

The documentation for this class was generated from the following files:

- ZMFCollector.h
- ZMFCollector.cpp